/*
 * Examples for Java
 *
 * Copyright (c) 2021. Elex. All Rights Reserved.
 * https://www.elex-project.com/
 */

package kr.pe.elex.examples;

import com.elex_project.abraxas.Console;
import lombok.extern.slf4j.Slf4j;

import javax.sound.midi.*;

@Slf4j
public class Examples {
	public static void main(String... args) throws MidiUnavailableException {

		for (MidiDevice.Info info : MidiSystem.getMidiDeviceInfo()) {
			Console.writeLine("{} / {} / {}",
					info.getName(), info.getVendor(), info.getDescription());
		}

		Sequencer sequencer = MidiSystem.getSequencer();
		Console.writeLine(sequencer.toString());
		Synthesizer synthesizer = MidiSystem.getSynthesizer();
		Console.writeLine(synthesizer.toString());
		Receiver receiver = MidiSystem.getReceiver();
		Console.writeLine(receiver.toString());
		//Transmitter transmitter = MidiSystem.getTransmitter();
		//Console.writeLine(transmitter.toString());
	}
}
